"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var T=Object.create;var f=Object.defineProperty;var k=Object.getOwnPropertyDescriptor;var A=Object.getOwnPropertyNames;var C=Object.getPrototypeOf,I=Object.prototype.hasOwnProperty;var R=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var D=(o,e,n,s)=>{if(e&&typeof e=="object"||typeof e=="function")for(let a of A(e))!I.call(o,a)&&a!==n&&f(o,a,{get:()=>e[a],enumerable:!(s=k(e,a))||s.enumerable});return o};var _=(o,e,n)=>(n=o!=null?T(C(o)):{},D(e||!o||!o.__esModule?f(n,"default",{value:o,enumerable:!0}):n,o));var u=R((E,w)=>{w.exports=Vue});var i=_(u());var H="onShow",L="onLoad";function p(o,e,...n){uni.__log__?uni.__log__(o,e,...n):console[o].apply(console,[...n,e])}var v=o=>(e,n=(0,i.getCurrentInstance)())=>{!i.isInSSRComponentSetup&&(0,i.injectHook)(o,e,n)},m=v(H),h=v(L);var b=(o,e)=>{let n=o.__vccOpts||o;for(let[s,a]of e)n[s]=a;return n};var t=_(u()),V=(0,t.defineComponent)({__name:"index",setup(o){let e=(0,t.ref)(),n={progress:{color:"#D80000"}},s=(0,t.ref)(0),a=(0,t.ref)(0),g=(0,t.ref)(0),d=(0,t.ref)(50);p("log","at pages/yuxi/index.nvue:78","tabBarHeight: ",d);let y=(0,t.ref)("http://yxh.yuxinet.cn/");(0,t.onMounted)(()=>{uni.getSystemInfo({success:r=>{let{statusBarHeight:l,screenWidth:N,screenHeight:O}=r;s.value=N,a.value=O},fail:r=>{}})}),h(()=>{}),m(()=>{});let B=r=>{var l;p("log","at pages/yuxi/index.nvue:110","\u63A5\u6536\u5230\u6D88\u606F\uFF1A"+JSON.stringify((l=r==null?void 0:r.detail)!=null?l:""))},S=()=>{let r="javascript:history.go(-1);";p("log","at pages/yuxi/index.nvue:124",r),e.value.evalJs(r)};return(r,l)=>((0,t.openBlock)(),(0,t.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,t.createElementVNode)("view",{class:"page",style:(0,t.normalizeStyle)({width:`${s.value}px`})},[(0,t.createElementVNode)("view",{class:"wrap-web",style:(0,t.normalizeStyle)({width:"750rpx",height:`${a.value-d.value-g.value}px`,marginTop:`${g.value}px`})},[(0,t.createElementVNode)("u-web-view",{class:"webView_class",webviewStyles:n,ref_key:"webview",ref:e,src:y.value,"on:onPostMessage":B},null,40,["src"])],4)],4),(0,t.createElementVNode)("view",{class:"wrap-float",onClick:S},[(0,t.createElementVNode)("u-image",{class:"img",src:"/static/commImage/float_back.png"})])]))}}),P={page:{"":{display:"flex",flexDirection:"column",width:"750rpx"}},"top-nav":{"":{width:100,position:"fixed"}},content:{".top-nav ":{position:"absolute",bottom:"10rpx",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",paddingTop:"0rpx",paddingRight:"32rpx",paddingBottom:"0rpx",paddingLeft:"32rpx",width:"750rpx"}},"top-nav-content-left":{".top-nav .content ":{display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"flex-start"}},"nav-text":{".top-nav .content .top-nav-content-left ":{fontSize:"36rpx",fontWeight:"700",color:"#ffffff",paddingLeft:"16rpx"}},"wrap-web":{"":{display:"flex",flexDirection:"column"}},webView_class:{"":{display:"flex",flexDirection:"column",flex:1}},"movable-area-box":{"":{"!position":"absolute"}},"movable-view-box":{".movable-area-box ":{width:"108rpx",height:"108rpx"}},img:{".movable-area-box .movable-view-box ":{width:"108rpx",height:"108rpx"},".wrap-float ":{width:"108rpx",height:"108rpx"}},"wrap-float":{"":{width:"108rpx",height:"108rpx",backgroundColor:"rgba(0,0,0,0)",position:"absolute",borderRadius:"54rpx",paddingTop:"2rpx",paddingRight:"2rpx",paddingBottom:"2rpx",paddingLeft:"2rpx",bottom:"30rpx",right:16,zIndex:999}}},c=b(V,[["styles",[P]]]);var x=plus.webview.currentWebview();if(x){let o=parseInt(x.id),e="pages/yuxi/index",n={};try{n=JSON.parse(x.__query__)}catch(a){}c.mpType="page";let s=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:n});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),s.mount("#root")}})();
