"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var k=Object.create;var f=Object.defineProperty;var A=Object.getOwnPropertyDescriptor;var C=Object.getOwnPropertyNames;var R=Object.getPrototypeOf,D=Object.prototype.hasOwnProperty;var H=(o,t)=>()=>(t||o((t={exports:{}}).exports,t),t.exports);var L=(o,t,a,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let n of C(t))!D.call(o,n)&&n!==a&&f(o,n,{get:()=>t[n],enumerable:!(s=A(t,n))||s.enumerable});return o};var _=(o,t,a)=>(a=o!=null?k(R(o)):{},L(t||!o||!o.__esModule?f(a,"default",{value:o,enumerable:!0}):a,o));var v=H((M,w)=>{w.exports=Vue});var l=_(v());var V="onShow",$="onLoad";function c(o,t,...a){uni.__log__?uni.__log__(o,t,...a):console[o].apply(console,[...a,t])}var h=o=>(t,a=(0,l.getCurrentInstance)())=>{!l.isInSSRComponentSetup&&(0,l.injectHook)(o,t,a)},m=h(V),b=h($);var y=(o,t)=>{let a=o.__vccOpts||o;for(let[s,n]of t)a[s]=n;return a};var e=_(v()),P=(0,e.defineComponent)({__name:"index",setup(o){(0,e.getCurrentInstance)();let t=(0,e.ref)(),a={progress:{color:"#D80000"}},s=(0,e.ref)(0),n=(0,e.ref)(0),i=(0,e.ref)(62),g=(0,e.ref)(50);c("log","at pages/live/index.nvue:56","tabBarHeight: ",g);let B=(0,e.ref)(750-16),S=(0,e.ref)(0),N=(0,e.ref)("https://live.xinhuaapp.com/xcy/userhome.html?orgId=176");(0,e.onMounted)(()=>{uni.getSystemInfo({success:r=>{let{statusBarHeight:p,screenWidth:x,screenHeight:I}=r;s.value=x,n.value=I,B.value=s.value-16,S.value=n.value-g.value-i.value-60,i.value=Number(x/750*184-x/750*75+p/2)},fail:r=>{}})}),b(()=>{}),m(()=>{});let O=r=>{var p;c("log","at pages/live/index.nvue:96","\u63A5\u6536\u5230\u6D88\u606F\uFF1A"+JSON.stringify((p=r==null?void 0:r.detail)!=null?p:""))},T=()=>{let r="javascript:history.go(-1);";c("log","at pages/live/index.nvue:110",r),t.value.evalJs(r)};return(r,p)=>((0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:"page",style:(0,e.normalizeStyle)({width:`${s.value}px`})},[(0,e.createElementVNode)("view",{class:"top-nav",style:(0,e.normalizeStyle)({width:"750rpx",height:`${i.value}px`})},[(0,e.createElementVNode)("u-image",{src:"/static/top-bg.png",style:(0,e.normalizeStyle)({width:"750rpx",height:`${i.value}px`}),mode:""},null,4),(0,e.createElementVNode)("view",{class:"content"},[(0,e.createElementVNode)("view",{class:"top-nav-content-left"},[(0,e.createElementVNode)("u-text",{class:"nav-text"},"\u76F4\u64AD")])])],4),(0,e.createElementVNode)("view",{class:"wrap-web",style:(0,e.normalizeStyle)({width:"750rpx",height:`${n.value-g.value-i.value}px`,marginTop:`${i.value}px`})},[(0,e.createElementVNode)("u-web-view",{class:"webView_class",webviewStyles:a,ref_key:"webview",ref:t,src:N.value,"on:onPostMessage":O},null,40,["src"])],4)],4),(0,e.createElementVNode)("view",{class:"wrap-float",onClick:T},[(0,e.createElementVNode)("u-image",{class:"img",src:"/static/commImage/float_back.png"})])]))}}),j={page:{"":{display:"flex",flexDirection:"column",width:"750rpx"}},"top-nav":{"":{width:100,position:"fixed"}},content:{".top-nav ":{position:"absolute",bottom:"10rpx",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-between",paddingTop:"0rpx",paddingRight:"32rpx",paddingBottom:"0rpx",paddingLeft:"32rpx",width:"750rpx"}},"top-nav-content-left":{".top-nav .content ":{display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"flex-start"}},"nav-text":{".top-nav .content .top-nav-content-left ":{fontSize:"36rpx",fontWeight:"700",color:"#ffffff",paddingLeft:"16rpx"}},"wrap-web":{"":{display:"flex",flexDirection:"column"}},webView_class:{"":{display:"flex",flexDirection:"column",flex:1}},"movable-area-box":{"":{"!position":"absolute"}},"movable-view-box":{".movable-area-box ":{width:"108rpx",height:"108rpx"}},img:{".movable-area-box .movable-view-box ":{width:"108rpx",height:"108rpx"},".wrap-float ":{width:"108rpx",height:"108rpx"}},"wrap-float":{"":{width:"108rpx",height:"108rpx",backgroundColor:"rgba(0,0,0,0)",position:"absolute",borderRadius:"54rpx",paddingTop:"2rpx",paddingRight:"2rpx",paddingBottom:"2rpx",paddingLeft:"2rpx",bottom:"30rpx",right:16,zIndex:999}}},u=y(P,[["styles",[j]]]);var d=plus.webview.currentWebview();if(d){let o=parseInt(d.id),t="pages/live/index",a={};try{a=JSON.parse(d.__query__)}catch(n){}u.mpType="page";let s=Vue.createPageApp(u,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:t,__pageQuery:a});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...u.styles||[]])),s.mount("#root")}})();
